
Foreman - Bug #26540

autocomplete loading spinner is not always accurate 

04/04/2019 02:54 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6649

  

Description

seems that react-bootstrap-typeahead doesn't update the state when rendering the component

again with isLoading prop, updating it through its instance's state, works as expected.

Associated revisions

Revision 8033f112 - 04/07/2019 11:24 AM - Ron Lavi

Fixes #26540 - fix autocomplete loading spinner

History

#1 - 04/04/2019 02:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6649 added

#2 - 04/07/2019 11:24 AM - Anonymous

- Fixed in Releases 1.22.0 added

#3 - 04/07/2019 12:01 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset 8033f112afa5aaf45ce8d970b6f491bf7052feee.

#4 - 04/21/2019 09:32 PM - Tomer Brisker

- Category set to Web Interface
